# RealOne Player Config for Series60

# Mask for debug print
Debug 0x1
	#    0x1     Errors
	#    0x2     Developer diagnostics
	#    0x4     Blit Performance
	#    0x40000 RTSP Chat
	#    0x1000 0000 GUI TRACE
	#    0x0040 0000 NPGUI
	#    0x2000 0000 GUI_VERBOSE
	#    0x0400 0000 IMAGING
	#    0x0080 0000 FILE
	#    0x8000 0000 AUDIO
	#    0x0100 0000 DECODER

# Sinks for Debug and time series data

#LogSink "172.22.22.20:5555/7650.log"
#LogSink "Console" # case important!
#LogSink "c:\Documents\log.txt"
#TSFile "c:\Documents\blit.txt"
#BlitReportInterval 2000

# these should not matter (auto-calculated based on run-time window layout)
WindowSize "174x142"
WindowOffset "+1+1"

MaxImageSize "350x286"
Enlarge 1

LongpressSeek  true

MmcMediaFolder "e:\"
LocalMediaFolder "c:\nokia\videos\"

# Bandwidth values for network playerback (bps)

ManualBandwidth  true        # When true, set bandwith from config values
MinDelBandwidth  5000        # Min bandwidth request
MaxDelBandwidth 40200        # Default Max bandwidth request
DemandBWFactor    111        # Demand Bandwidth delivery factor
LiveBWFactor       93        # Live Bandwidth delivery factor
BWReqInterval    5000        # msec between bandwidth requests

# Values for estimating sustainable bandwidth from raw bandwidth
                             # Sustainable Bandwidth table:
                             # "(SlotBW, Slots, SustainFactor)..."
			     # "" means no mapping, use SustainBWFactor
SustainBWMap       ""
BWStrategy         "Manual"  # Type of delivery bandwidth selection:
                             #    Manual     User selectable
#SustainBWFactor    60        # Default sustainable Bandwidth delivery factor
#BWSrcControl       ""        # No bandwidth source control

                             # Use these values for SustainBWFactor and
                             # BWSrcControl when TFRC is in use.
#SustainBWFactor  100         # Default sustainable Bandwidth delivery factor
SustainBWFactor   75         # Default sustainable Bandwidth delivery factor
BWSrcControl   "TFRCControl" # Bandwidth src control type

# Timeouts

ConnTimeout 60               # Sec to wait for connect
Timeout     40               # Sec to wait for server response, data

ServerPort  554              # Default server port
ProxyPort  1091              # Default proxy port

# StartupURL "rtsp://"         # Startup url

# Blitter Config.  Probably don't want to change these

BlitBehind       32
BlitAhead        32
BlitBufferDepth   4
BlitMinSleep     16
